: Class JDCConnection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Free.DBPool
Class JDCConnection

    java.lang.Object
      |
      +--Free.DBPool.JDCConnection

All Implemented Interfaces:
  java.sql.Connection

public class JDCConnection
extends java.lang.Object
implements java.sql.Connection

This class represents a JDBC connection in the pool and is essentially a wrapper around a real connection. Code originates from Java Developer Connection.

Since:
  1.5
Version:
  0.2 28 August 2001
Author:
  Jason Kitcat

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`JDCConnection(java.sql.Connection conn, JDCConnectionPool pool)`

Method Summary
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`java.sql.Statement` | `createStatement()`
`java.sql.Statement` | `createStatement(int reultSetType, int resultSetConcurrency)`
`protected void` | `expireLease()`
`boolean` | `getAutoCommit()`
`java.lang.String` | `getCatalog()`
`protected java.sql.Connection` | `getConnection()`
`long` | `getLastUse()`
`java.sql.DatabaseMetaData` | `getMetaData()`
`int` | `getTransactionIsolation()`
`java.sql.SQLWarning` | `getWarnings()`
`boolean` | `inUse()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()`
`boolean` | `lease()`
`java.lang.String` | `nativeSQL(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`void` | `rollback()`
`void` | `setAutoCommit(boolean autoCommit)`
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setTransactionIsolation(int level)`
`boolean` | `validate()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Connection
`getTypeMap, setTypeMap`

Constructor Detail

### JDCConnection

    public JDCConnection(java.sql.Connection conn,
                         JDCConnectionPool pool)

Method Detail

### lease

    public boolean lease()

### validate

    public boolean validate()

### inUse

    public boolean inUse()

### getLastUse

    public long getLastUse()

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.Connection`

### expireLease

    protected void expireLease()

### getConnection

    protected java.sql.Connection getConnection()

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`

### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`

### createStatement

    public java.sql.Statement createStatement(int reultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String sql)
                               throws java.sql.SQLException

  Specified by:
    `nativeSQL` in interface `java.sql.Connection`

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws java.sql.SQLException

  Specified by:
    `setAutoCommit` in interface `java.sql.Connection`

### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

  Specified by:
    `getAutoCommit` in interface `java.sql.Connection`

### commit

    public void commit()
                throws java.sql.SQLException

  Specified by:
    `commit` in interface `java.sql.Connection`

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Specified by:
    `rollback` in interface `java.sql.Connection`

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Specified by:
    `isClosed` in interface `java.sql.Connection`

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

  Specified by:
    `getMetaData` in interface `java.sql.Connection`

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws java.sql.SQLException

  Specified by:
    `setReadOnly` in interface `java.sql.Connection`

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Specified by:
    `isReadOnly` in interface `java.sql.Connection`

### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

  Specified by:
    `setCatalog` in interface `java.sql.Connection`

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  Specified by:
    `getCatalog` in interface `java.sql.Connection`

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws java.sql.SQLException

  Specified by:
    `setTransactionIsolation` in interface `java.sql.Connection`

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  Specified by:
    `getTransactionIsolation` in interface `java.sql.Connection`

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    `getWarnings` in interface `java.sql.Connection`

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    `clearWarnings` in interface `java.sql.Connection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD